sample_dicts = {}
sample_dicts[18] = {
    'ggHtt' : [
        '345120',
        '345121',
        '345122',
        '345123',
    ],
    'VBFHtt' : [
        '346190',
        '346191',
        '346192',
        '346193',
    ],
    'WHtt' : [
        '345211',
        '345212',
    ],
    'ZHtt' : [
        '345217',
    ],
    'Dijet' : [
        '364700',
        '364701',
        '364702',
        '364703',
        '364704',
        '364705',
        '364706',
        '364707',
        '364708',
        '364709',
        '364710',
        '364711',
    ],
    'ttbar_lep' : [
        '410470',
    ],

    'ttbar_allhad' : [
        '410471',
    ],
    'singletop' : [
        '410644',
        '410645',
        '410646',
        '410647',
        '410648',
        '410649',
    ],
    'diboson' : [
        '700587',
        '700588',
        '700589',
        '700590',
        '700600',
        '700601',
        '700602',
        '700603',
        '700604',
        '700605',
        '700488',
        '700489',
        '700490',
        '700491',
        '700492',
        '700493',
        '700494',
        '700495',
        '700496',
    ],
    'W' : [
        '700338',
        '700339',
        '700340',
        '700341',
        '700342',
        '700343',
        '700344',
        '700345',
        '700346',
        '700347',
        '700348',
        '700349',
    ],
    'Sh_Zee' : [
    '700320',
    '700321',
    '700322',
    ],
    'Sh_Zmumu' : [
        '700323',
        '700324',
        '700325',
    ],
    'Sh_Ztt' : [
        '700326',
        '700327',
        '700328',
        '700329',
        '700330',
        '700331',
        '700332',
        '700333',
        '700334',
    ],
    'data' : [
        'data',
    ]
}
sample_dicts[17] = sample_dicts[18]
sample_dicts[15] = sample_dicts[18]
sample_dicts[16] = sample_dicts[18]
sample_dicts[22] = {
    'ggHtt' : [
        '601578',
        '601579',
        '601580',
        '601581',
    ],
    'VBFHtt' : [
        '601469',
        '601470',
        '601471',
        '601472',
    ],
    'WHtt' : [
        '601473',
        '601474',
    ],
    'ZHtt' : [
        '601400',
        '601402',
    ],
    'Dijet' : [
        '801165',
        '801166',
        '801167',
        '801168',
        '801169',
        '801170',
        '801171',
        '801172',
        '801173',
    ],
    'ttbar_allhad' : [
        '601237',
    ],
    'ttbar_lep' : [
        '601229',
        '601230',
    ],
    'singletop' : [
        '601348',
        '601349',
        '601350',
        '601351',
        '601352',
        '601353',
        '601354',
    ],
    'diboson' : [
        '700566',
        '700567',
        '700568',
        '700569',
        '700570',
        '700571',
        '700572',
        '700573',
        '700574',
        '700600',
        '700601',
        '700602',
        '700603',
        '700604',
        '700605',
    ],
    'W' : [
        '700606',
        '700607',
        '700608',
        '700609',
        '700610',
        '700611',
        '700612',
        '700613',
        '700614',
    ],
    'Sh_Zee' : [
        '700615',
        '700616',
        '700617',
    ],
    'Sh_Zee_lowmass' : [
        '700697',
        '700698',
        '700699',
    ],
    'Sh_Zmumu' : [
        '700618',
        '700619',
        '700620',
    ],
    'Sh_Zmumu_lowmass' : [
        '700700',
        '700701',
        '700702',
    ],
    'Sh_Ztt' : [
        '700621',
        '700622',
        '700623',
    ],
    'Sh_Ztt_lowmass' : [
        '700703',
        '700704',
        '700705',
    ],
    'data' : [
        'data',
    ]
}

physics_sample_list = [
    # 'ggHtt',
    # 'VBFHtt',
    # 'WHtt',     
    # 'ZHtt',       

    # 'ttbar_allhad',
    # 'ttbar_lep',
    # 'singletop',     
    # 'diboson',           
    # 'W',         
    # 'Sh_Zee',      
    'Sh_Zmumu',
    # 'Dijet',   
    'Sh_Ztt',
    # 'Sh_Ztt_lowmass', 
    # 'data',   
]

years_of_interest = [15, 16, 17, 18]

color_dict = {
    'ggHtt'        : 44,
    'VBFHtt'       : 43,
    'WHtt'         : 42,     
    'ZHtt'         : 41,       
    'Dijet'        : 31,    
    'ttbar_allhad' : 9,
    'ttbar_lep'   : 8,
    'singletop'    : 7,     
    'diboson'      : 6,           
    'W'            : 5,         
    'Sh_Zee'       : 4,      
    'Sh_Zmumu'     : 3,
    'Sh_Ztt'       : 2,
    'Sh_Ztt_lowmass' : 22,
    'data'         : 1,           
}

DATA_LUMI = {
    22      : 29.0493,   # fb-1
    18      : 60.1,
    17      : 43.8,
    15      : 3.2,
    16      : 33.3,
}

TEXTS_ON_PLOT = {
    'run2' :  "#sqrt{s} = 13 TeV, 139 fb^{-1}",
    'run3' :  "#sqrt{s} = 13.6 TeV, 29.0 fb^{-1}",
}

YEAR_DICT = {
    'run2' :  [15, 16, 17, 18],
    'run3' :  [22],
}

TRIGGER_DICT = {
    15 : ['HLT_xe70_mht',                'HLT_mu20_iloose_L1MU15', 'HLT_mu50'],
    16 : ['HLT_xe110_mht_L1XE50',        'HLT_mu26_ivarmedium',    'HLT_mu50'],
    17 : ['HLT_xe110_pufit_L1XE55',      'HLT_mu26_ivarmedium',    'HLT_mu50'],
    18 : ['HLT_xe110_pufit_xe70_L1XE50', 'HLT_mu26_ivarmedium',    'HLT_mu50'],
}